Index: uspace/srv/vfs/vfs_ipc.c
===================================================================
--- uspace/srv/vfs/vfs_ipc.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
+++ uspace/srv/vfs/vfs_ipc.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
@@ -35,5 +35,5 @@
 #include <vfs/canonify.h>
 
-static void vfs_in_clone(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_clone(cap_call_handle_t rid, ipc_call_t *request)
 {
 	int oldfd = IPC_GET_ARG1(*request);
@@ -46,9 +46,9 @@
 }
 
-static void vfs_in_fsprobe(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_fsprobe(cap_call_handle_t rid, ipc_call_t *request)
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*request);
 	char *fs_name = NULL;
-	ipc_callid_t callid;
+	cap_call_handle_t callid;
 	vfs_fs_probe_info_t info;
 	size_t len;
@@ -83,7 +83,7 @@
 }
 
-static void vfs_in_fstypes(ipc_callid_t rid, ipc_call_t *request)
-{
-	ipc_callid_t callid;
+static void vfs_in_fstypes(cap_call_handle_t rid, ipc_call_t *request)
+{
+	cap_call_handle_t callid;
 	size_t len;
 	vfs_fstypes_t fstypes;
@@ -111,5 +111,5 @@
 }
 
-static void vfs_in_mount(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_mount(cap_call_handle_t rid, ipc_call_t *request)
 {
 	int mpfd = IPC_GET_ARG1(*request);
@@ -156,5 +156,5 @@
 }
 
-static void vfs_in_open(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_open(cap_call_handle_t rid, ipc_call_t *request)
 {
 	int fd = IPC_GET_ARG1(*request);
@@ -165,5 +165,5 @@
 }
 
-static void vfs_in_put(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_put(cap_call_handle_t rid, ipc_call_t *request)
 {
 	int fd = IPC_GET_ARG1(*request);
@@ -172,5 +172,5 @@
 }
 
-static void vfs_in_read(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_read(cap_call_handle_t rid, ipc_call_t *request)
 {
 	int fd = IPC_GET_ARG1(*request);
@@ -183,5 +183,5 @@
 }
 
-static void vfs_in_rename(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_rename(cap_call_handle_t rid, ipc_call_t *request)
 {
 	/* The common base directory. */
@@ -227,5 +227,5 @@
 }
 
-static void vfs_in_resize(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_resize(cap_call_handle_t rid, ipc_call_t *request)
 {
 	int fd = IPC_GET_ARG1(*request);
@@ -235,5 +235,5 @@
 }
 
-static void vfs_in_stat(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_stat(cap_call_handle_t rid, ipc_call_t *request)
 {
 	int fd = IPC_GET_ARG1(*request);
@@ -242,5 +242,5 @@
 }
 
-static void vfs_in_statfs(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_statfs(cap_call_handle_t rid, ipc_call_t *request)
 {
 	int fd = (int) IPC_GET_ARG1(*request);
@@ -250,5 +250,5 @@
 }
 
-static void vfs_in_sync(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_sync(cap_call_handle_t rid, ipc_call_t *request)
 {
 	int fd = IPC_GET_ARG1(*request);
@@ -257,5 +257,5 @@
 }
 
-static void vfs_in_unlink(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_unlink(cap_call_handle_t rid, ipc_call_t *request)
 {
 	int parentfd = IPC_GET_ARG1(*request);
@@ -270,5 +270,5 @@
 }
 
-static void vfs_in_unmount(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_unmount(cap_call_handle_t rid, ipc_call_t *request)
 {
 	int mpfd = IPC_GET_ARG1(*request);
@@ -277,5 +277,5 @@
 }
 
-static void vfs_in_wait_handle(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_wait_handle(cap_call_handle_t rid, ipc_call_t *request)
 {
 	bool high_fd = IPC_GET_ARG1(*request);
@@ -285,5 +285,5 @@
 }
 
-static void vfs_in_walk(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_walk(cap_call_handle_t rid, ipc_call_t *request)
 {
 	/*
@@ -304,5 +304,5 @@
 }
 
-static void vfs_in_write(ipc_callid_t rid, ipc_call_t *request)
+static void vfs_in_write(cap_call_handle_t rid, ipc_call_t *request)
 {
 	int fd = IPC_GET_ARG1(*request);
@@ -315,5 +315,5 @@
 }
 
-void vfs_connection(ipc_callid_t iid, ipc_call_t *icall, void *arg)
+void vfs_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
 {
 	bool cont = true;
@@ -327,5 +327,5 @@
 	while (cont) {
 		ipc_call_t call;
-		ipc_callid_t callid = async_get_call(&call);
+		cap_call_handle_t callid = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
